## keepalived 2.2.4

=== keepalived/etc/sysconfig/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# keepalived/etc/sysconfig/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Makefile.am
#
# Keepalived OpenSource project.
#
# Copyright (C) 2021-2021 Alexandre Cassen, <acassen@gmail.com>


am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/keepalived
pkgincludedir = $(includedir)/keepalived
pkglibdir = $(libdir)/keepalived
pkglibexecdir = $(libexecdir)/keepalived
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = keepalived/etc/sysconfig
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/lib/config.h \
	$(top_builddir)/lib/config_warnings.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(sysconfigdir)"
DATA = $(sysconfig_DATA)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/acassen/src/keepalived/build-aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
ARFLAGS = cr
AUTOCONF = ${SHELL} /home/acassen/src/keepalived/build-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/acassen/src/keepalived/build-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/acassen/src/keepalived/build-aux/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS =   -D_GNU_SOURCE
CYGPATH_W = echo
DEFAULT_CONFIG_DIR = $(sysconfdir)/keepalived
DEFAULT_CONFIG_FILE = $(sysconfdir)/keepalived/keepalived.conf
DEFAULT_CONFIG_FILENAME = keepalived.conf
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
GREP = /bin/grep
HAVE_RPM = No
HAVE_RPMBUILD = 
HAVE_SPHINX_BUILD = Yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fPIE -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
KA_CPPFLAGS = -D_GNU_SOURCE -I/usr/include/libnl3
KA_LDFLAGS = -pie -Wl,-z,relro -Wl,-z,now
KA_LIBS = -lm -lcrypto -lssl -lnl-3 -lnl-genl-3 -lip4tc -lip6tc -lnftnl -lmnl -ldl
KA_TMP_DIR = /tmp
KEEPALIVED_RUNTIME_OPTIONS = -D
LDD = ldd
LDFLAGS = 
LIBOBJS = 
LIBS = 
LN_S = ln -s
LTLIBOBJS = 
MAINTAINERCLEANFILES = *~ *.orig *.rej core core.*
MAKEINFO = ${SHELL} /home/acassen/src/keepalived/build-aux/missing makeinfo
MKDIR_P = /bin/mkdir -p
NETSNMP_CONFIG = 
OBJEXT = o
PACKAGE = keepalived
PACKAGE_BUGREPORT = keepalived-users@groups.io
PACKAGE_NAME = Keepalived
PACKAGE_STRING = Keepalived 2.2.4
PACKAGE_TARNAME = keepalived
PACKAGE_URL = http://www.keepalived.org/
PACKAGE_VERSION = 2.2.4
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
RANLIB = ranlib
RUN_DIR_ROOT = 
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SNMP_SERVICE = 
SPHINXBUILDNAME = sphinx-build
STRIP = strip
SYSTEMD_EXEC_START_OPTIONS = 
SYSTEMD_SERVICE_TYPE = forking
USE_LLD = 
VERSION = 2.2.4
abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
abs_top_builddir = /home/acassen/src/keepalived
abs_top_srcdir = /home/acassen/src/keepalived
ac_ct_AR = ar
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = 
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/acassen/src/keepalived/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
systemdsystemunitdir = /lib/systemd/system
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..
edit = echo "  EDIT     $@"; \
	sed \
	 -e 's|@KEEPALIVED_RUNTIME_OPTIONS[@]|$(KEEPALIVED_RUNTIME_OPTIONS)|g'

EXTRA_DIST = keepalived.in
sysconfigdir = $(sysconfdir)/sysconfig
sysconfig_DATA = keepalived
MOSTLYCLEANFILES = keepalived
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign keepalived/etc/sysconfig/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign keepalived/etc/sysconfig/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-sysconfigDATA: $(sysconfig_DATA)
	@$(NORMAL_INSTALL)
	@list='$(sysconfig_DATA)'; test -n "$(sysconfigdir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(sysconfigdir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(sysconfigdir)" || exit 1; \
	fi; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(sysconfigdir)'"; \

=== debian/changelog ===
keepalived (1:2.2.4-0.2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 13:07:10 +0100

keepalived (1:2.2.4-0.2) unstable; urgency=high

  * Non-maintainer upload.
  * d/patches: tighten DBus policy to not allow unrestricted read/write
    access to all object properties.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Nov 2021 06:27:53 +0100

keepalived (1:2.2.4-0.1) unstable; urgency=medium

  [ Alexander Wirt ]
  * [61cbc18] New upstream version 2.2.1
  * [ecf662d] Keepalived has now support for systemd notify

  [ Vincent Bernat ]
  * Non-maintainer upload.
  * New upstream version 2.2.4. Closes: #980563.
    - Fix FTFBS. Closes: #997218.
  * d/rules: enable systemd as an init to get systemd features.
  * d/rules: remove use of custom-specified include directory for kernel.

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Nov 2021 17:57:44 +0100

=== debian/control ===
Source: keepalived
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
Build-Depends: autoconf,
               debhelper-compat (=12),
               libglib2.0-dev,
               libip4tc-dev,
               libipset-dev,
               libjson-c-dev,
               libnfnetlink-dev,
               libnftnl-dev,
               libnl-3-dev,
               libnl-genl-3-dev,
               libnl-nf-3-dev,
               libpcre2-dev,
               libpopt-dev,
               libsnmp-dev,
               libssl-dev,
               libsystemd-dev,
               linux-libc-dev,
               pkg-config
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/ipvs-team/pkg-keepalived
Vcs-Git: https://salsa.debian.org/ipvs-team/pkg-keepalived.git
Homepage: http://keepalived.org

Package: keepalived
Section: admin
Architecture: any
Depends: iproute2, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: ipvsadm
Description: Failover and monitoring daemon for LVS clusters
 keepalived is used for monitoring real servers within a Linux
 Virtual Server (LVS) cluster.  keepalived can be configured to
 remove real servers from the cluster pool if it stops responding,
 as well as send a notification email to make the admin aware of
 the service failure.
 .
 In addition, keepalived implements an independent Virtual Router
 Redundancy Protocol (VRRPv2; see rfc2338 for additional info)
 framework for director failover.
 .
 You need a kernel >= 2.4.28 or >= 2.6.11 for keepalived.
 See README.Debian for more information.

=== debian/watch ===
version=4
http://www.keepalived.org/download.html software/keepalived-(.*).tar.gz

## keepalived 2.2.7

=== keepalived/etc/sysconfig/Makefile ===
--- 
+++ 
@@ -94,8 +94,8 @@
 POST_UNINSTALL = :
 subdir = keepalived/etc/sysconfig
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/pkg.m4 \
-	$(top_srcdir)/configure.ac
+am__aclocal_m4_deps = $(top_srcdir)/m4/as-ac-expand.m4 \
+	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 	$(ACLOCAL_M4)
 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
@@ -170,6 +170,7 @@
 CPP = gcc -E
 CPPFLAGS =   -D_GNU_SOURCE
 CYGPATH_W = echo
+DBUS_DATADIR = /usr/local/share
 DEFAULT_CONFIG_DIR = $(sysconfdir)/keepalived
 DEFAULT_CONFIG_FILE = $(sysconfdir)/keepalived/keepalived.conf
 DEFAULT_CONFIG_FILENAME = keepalived.conf
@@ -180,6 +181,7 @@
 ECHO_T = 
 EGREP = /bin/grep -E
 EXEEXT = 
+EXPANDED_DATADIR = /usr/local/share
 GREP = /bin/grep
 HAVE_RPM = No
 HAVE_RPMBUILD = 
@@ -206,19 +208,21 @@
 MKDIR_P = /bin/mkdir -p
 NETSNMP_CONFIG = 
 OBJEXT = o
+OLD_DEFAULT_CONFIG_FILE = /etc/keepalived/keepalived.conf
 PACKAGE = keepalived
 PACKAGE_BUGREPORT = keepalived-users@groups.io
 PACKAGE_NAME = Keepalived
-PACKAGE_STRING = Keepalived 2.2.4
+PACKAGE_STRING = Keepalived 2.2.7
 PACKAGE_TARNAME = keepalived
 PACKAGE_URL = http://www.keepalived.org/
-PACKAGE_VERSION = 2.2.4
+PACKAGE_VERSION = 2.2.7
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
-RUN_DIR_ROOT = 
+RUNSTATEDIR = /run
+SAMPLES_DIR = $(sysconfdir)/keepalived/samples
 SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
@@ -228,7 +232,7 @@
 SYSTEMD_EXEC_START_OPTIONS = 
 SYSTEMD_SERVICE_TYPE = forking
 USE_LLD = 
-VERSION = 2.2.4
+VERSION = 2.2.7
 abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_top_builddir = /home/acassen/src/keepalived
@@ -275,7 +279,7 @@
 top_builddir = ../../..
 top_srcdir = ../../..
 edit = echo "  EDIT     $@"; \
-	sed \
+	/bin/sed \
 	 -e 's|@KEEPALIVED_RUNTIME_OPTIONS[@]|$(KEEPALIVED_RUNTIME_OPTIONS)|g'
 
 EXTRA_DIST = keepalived.in
@@ -322,8 +326,3 @@
 	  $(MKDIR_P) "$(DESTDIR)$(sysconfigdir)" || exit 1; \
 	fi; \
 	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \
-	done | $(am__base_list) | \
-	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(sysconfigdir)'"; \

=== debian/changelog ===
keepalived (1:2.2.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 18 Mar 2022 06:35:24 +0100

keepalived (1:2.2.7-1) unstable; urgency=medium

  * New upstream release. Closes: #1006427.
  * d/control: put myself as a maintainer
  * d/control: update Vcs-* fields
  * d/watch: update URL
  * d/control: remove duplicate section
  * d/control: bump Standards-Version
  * d/control: use debhelper-compat 13
  * d/control: remove outdated information from long description
  * d/service: add Documentation= key in systemd file
  * d/patches: drop patch around DBus policy, applied upstream

 -- Vincent Bernat <bernat@debian.org>  Sat, 12 Mar 2022 16:06:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: keepalived
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander Wirt <formorer@debian.org>
+Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: autoconf,
-               debhelper-compat (=12),
+               debhelper-compat (=13),
                libglib2.0-dev,
                libip4tc-dev,
                libipset-dev,
@@ -21,13 +20,12 @@
                libsystemd-dev,
                linux-libc-dev,
                pkg-config
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/ipvs-team/pkg-keepalived
-Vcs-Git: https://salsa.debian.org/ipvs-team/pkg-keepalived.git
+Standards-Version: 4.6.0.1
+Vcs-Browser: https://salsa.debian.org/debian/pkg-keepalived
+Vcs-Git: https://salsa.debian.org/debian/pkg-keepalived.git
 Homepage: http://keepalived.org
 
 Package: keepalived
-Section: admin
 Architecture: any
 Depends: iproute2, ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -40,8 +38,5 @@
  the service failure.
  .
  In addition, keepalived implements an independent Virtual Router
- Redundancy Protocol (VRRPv2; see rfc2338 for additional info)
+ Redundancy Protocol (VRRPv2; see RFC 2338 for additional info)
  framework for director failover.
- .
- You need a kernel >= 2.4.28 or >= 2.6.11 for keepalived.
- See README.Debian for more information.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus --enable-json --enable-bfd --enable-regex --with-init=systemd


override_dh_auto_install:
	dh_auto_install
	rm -rf debian/keepalived/etc/keepalived/samples/
	rm -rf debian/keepalived/etc/rc.d
	rm -rf debian/keepalived/etc/keepalived/keepalived.conf
	rm -rf debian/keepalived/etc/sysconfig
	rm -rf debian/keepalived/usr/man

## keepalived 2.2.8

=== keepalived/etc/sysconfig/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # keepalived/etc/sysconfig/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -155,20 +155,21 @@
 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /home/acassen/src/keepalived/build-aux/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
 ARFLAGS = cr
-AUTOCONF = ${SHELL} /home/acassen/src/keepalived/build-aux/missing autoconf
-AUTOHEADER = ${SHELL} /home/acassen/src/keepalived/build-aux/missing autoheader
-AUTOMAKE = ${SHELL} /home/acassen/src/keepalived/build-aux/missing automake-1.16
+AUTOCONF = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = gcc -E
 CPPFLAGS =   -D_GNU_SOURCE
+CSCOPE = cscope
+CTAGS = ctags
 CYGPATH_W = echo
 DBUS_DATADIR = /usr/local/share
 DEFAULT_CONFIG_DIR = $(sysconfdir)/keepalived
@@ -179,10 +180,10 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+ETAGS = etags
 EXEEXT = 
 EXPANDED_DATADIR = /usr/local/share
-GREP = /bin/grep
+GREP = /usr/bin/grep
 HAVE_RPM = No
 HAVE_RPMBUILD = 
 HAVE_SPHINX_BUILD = Yes
@@ -191,10 +192,10 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fPIE -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
+KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warith-conversion -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fno-strict-aliasing -fPIE -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
 KA_CPPFLAGS = -D_GNU_SOURCE -I/usr/include/libnl3
 KA_LDFLAGS = -pie -Wl,-z,relro -Wl,-z,now
-KA_LIBS = -lm -lcrypto -lssl -lnl-3 -lnl-genl-3 -lip4tc -lip6tc -lnftnl -lmnl -ldl
+KA_LIBS = -lm -lssl -lcrypto -lnl-3 -lnl-genl-3 -lnftnl -lmnl
 KA_TMP_DIR = /tmp
 KEEPALIVED_RUNTIME_OPTIONS = -D
 LDD = ldd
@@ -204,18 +205,18 @@
 LN_S = ln -s
 LTLIBOBJS = 
 MAINTAINERCLEANFILES = *~ *.orig *.rej core core.*
-MAKEINFO = ${SHELL} /home/acassen/src/keepalived/build-aux/missing makeinfo
-MKDIR_P = /bin/mkdir -p
+MAKEINFO = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' makeinfo
+MKDIR_P = /usr/bin/mkdir -p
 NETSNMP_CONFIG = 
 OBJEXT = o
 OLD_DEFAULT_CONFIG_FILE = /etc/keepalived/keepalived.conf
 PACKAGE = keepalived
 PACKAGE_BUGREPORT = keepalived-users@groups.io
 PACKAGE_NAME = Keepalived
-PACKAGE_STRING = Keepalived 2.2.7
+PACKAGE_STRING = Keepalived 2.2.8
 PACKAGE_TARNAME = keepalived
 PACKAGE_URL = http://www.keepalived.org/
-PACKAGE_VERSION = 2.2.7
+PACKAGE_VERSION = 2.2.8
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -223,7 +224,7 @@
 RANLIB = ranlib
 RUNSTATEDIR = /run
 SAMPLES_DIR = $(sysconfdir)/keepalived/samples
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 SNMP_SERVICE = 
@@ -232,7 +233,7 @@
 SYSTEMD_EXEC_START_OPTIONS = 
 SYSTEMD_SERVICE_TYPE = forking
 USE_LLD = 
-VERSION = 2.2.7
+VERSION = 2.2.8
 abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_top_builddir = /home/acassen/src/keepalived
@@ -279,7 +280,7 @@
 top_builddir = ../../..
 top_srcdir = ../../..
 edit = echo "  EDIT     $@"; \
-	/bin/sed \
+	/usr/bin/sed \
 	 -e 's|@KEEPALIVED_RUNTIME_OPTIONS[@]|$(KEEPALIVED_RUNTIME_OPTIONS)|g'
 
 EXTRA_DIST = keepalived.in
@@ -325,4 +326,3 @@
 	  echo " $(MKDIR_P) '$(DESTDIR)$(sysconfigdir)'"; \
 	  $(MKDIR_P) "$(DESTDIR)$(sysconfigdir)" || exit 1; \
 	fi; \
-	for p in $$list; do \

=== debian/changelog ===
keepalived (1:2.2.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:25 +1100

keepalived (1:2.2.8-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:18:06 +0000

keepalived (1:2.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 21 Jun 2023 08:49:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: keepalived
 Section: admin
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (=13),
                libglib2.0-dev,
@@ -23,7 +24,7 @@
 Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/pkg-keepalived
 Vcs-Git: https://salsa.debian.org/debian/pkg-keepalived.git
-Homepage: http://keepalived.org
+Homepage: https://keepalived.org
 
 Package: keepalived
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_OPTIONS=-v
 
 %:
-	dh  $@ --with autoreconf
+	dh  $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-snmp --enable-sha1 --enable-snmp-rfcv2 --enable-snmp-rfcv3 --enable-dbus --enable-json --enable-bfd --enable-regex --with-init=systemd

## keepalived 2.3.1

=== keepalived/etc/sysconfig/Makefile ===
--- 
+++ 
@@ -163,7 +163,7 @@
 AUTOCONF = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' autoconf
 AUTOHEADER = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' autoheader
 AUTOMAKE = ${SHELL} '/home/acassen/src/keepalived/build-aux/missing' automake-1.16
-AWK = gawk
+AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
@@ -172,8 +172,8 @@
 CTAGS = ctags
 CYGPATH_W = echo
 DBUS_DATADIR = /usr/local/share
-DEFAULT_CONFIG_DIR = $(sysconfdir)/keepalived
-DEFAULT_CONFIG_FILE = $(sysconfdir)/keepalived/keepalived.conf
+DEFAULT_CONFIG_DIR = /etc/keepalived
+DEFAULT_CONFIG_FILE = /etc/keepalived/keepalived.conf
 DEFAULT_CONFIG_FILENAME = keepalived.conf
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
@@ -186,17 +186,18 @@
 GREP = /usr/bin/grep
 HAVE_RPM = No
 HAVE_RPMBUILD = 
-HAVE_SPHINX_BUILD = Yes
+HAVE_SPHINX_BUILD = No
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warith-conversion -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fno-strict-aliasing -fPIE -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
-KA_CPPFLAGS = -D_GNU_SOURCE -I/usr/include/libnl3
+KA_CPPFLAGS = -D_GNU_SOURCE
 KA_LDFLAGS = -pie -Wl,-z,relro -Wl,-z,now
-KA_LIBS = -lm -lssl -lcrypto -lnl-3 -lnl-genl-3 -lnftnl -lmnl
+KA_LIBS = -lm -lssl -lcrypto
 KA_TMP_DIR = /tmp
+KEEPALIVED_CONFIG_OPTIONS = 
 KEEPALIVED_RUNTIME_OPTIONS = -D
 LDD = ldd
 LDFLAGS = 
@@ -209,21 +210,21 @@
 MKDIR_P = /usr/bin/mkdir -p
 NETSNMP_CONFIG = 
 OBJEXT = o
-OLD_DEFAULT_CONFIG_FILE = /etc/keepalived/keepalived.conf
+OLD_DEFAULT_CONFIG_FILE = 
 PACKAGE = keepalived
 PACKAGE_BUGREPORT = keepalived-users@groups.io
 PACKAGE_NAME = Keepalived
-PACKAGE_STRING = Keepalived 2.2.8
+PACKAGE_STRING = Keepalived 2.3.1
 PACKAGE_TARNAME = keepalived
 PACKAGE_URL = http://www.keepalived.org/
-PACKAGE_VERSION = 2.2.8
+PACKAGE_VERSION = 2.3.1
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 RANLIB = ranlib
 RUNSTATEDIR = /run
-SAMPLES_DIR = $(sysconfdir)/keepalived/samples
+SAMPLES_DIR = ${sysconfdir}/keepalived/samples
 SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
@@ -233,7 +234,7 @@
 SYSTEMD_EXEC_START_OPTIONS = 
 SYSTEMD_SERVICE_TYPE = forking
 USE_LLD = 
-VERSION = 2.2.8
+VERSION = 2.3.1
 abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_top_builddir = /home/acassen/src/keepalived
@@ -326,3 +327,5 @@
 	  echo " $(MKDIR_P) '$(DESTDIR)$(sysconfigdir)'"; \
 	  $(MKDIR_P) "$(DESTDIR)$(sysconfigdir)" || exit 1; \
 	fi; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \

=== debian/changelog ===
keepalived (1:2.3.1-1ubuntu1) oracular; urgency=medium

  * d/p/fix-armhf-ftbfs.patch: fix -Wincompatible-pointer-types issue in armhf
    which leads to a FTBFS failure due to time_t size. (LP: #2082514)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 26 Sep 2024 11:43:50 -0300

keepalived (1:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: enable log-file option. Closes: #1071446.
  * d/control: build-depends on pkgconf.
  * d/maintscript: move /etc/dbus-1/system.d/org.keepalived.Vrrp1.conf

 -- Vincent Bernat <bernat@debian.org>  Tue, 28 May 2024 21:57:05 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libssl-dev,
                libsystemd-dev,
                linux-libc-dev,
-               pkg-config
+               pkgconf
 Standards-Version: 4.6.0.1
 Vcs-Browser: https://salsa.debian.org/debian/pkg-keepalived
 Vcs-Git: https://salsa.debian.org/debian/pkg-keepalived.git

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

%:
	dh  $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-snmp \
		--enable-sha1 \
		--enable-snmp-rfcv2 \
		--enable-snmp-rfcv3 \
		--enable-dbus \
		--enable-json \
		--enable-bfd \
		--enable-regex \
		--enable-log-file \
		--with-init=systemd


override_dh_auto_install:
	dh_auto_install
	mv debian/keepalived/etc/dbus-1/system.d debian/keepalived/usr/share/dbus-1/.
	rmdir debian/keepalived/etc/dbus-1
	rm -rf debian/keepalived/etc/keepalived/samples/
	rm -rf debian/keepalived/etc/rc.d
	rm -rf debian/keepalived/etc/keepalived/keepalived.conf
	rm -rf debian/keepalived/etc/sysconfig
	rm -rf debian/keepalived/usr/man

## keepalived 2.3.2

=== keepalived/etc/sysconfig/Makefile ===
--- 
+++ 
@@ -214,10 +214,10 @@
 PACKAGE = keepalived
 PACKAGE_BUGREPORT = keepalived-users@groups.io
 PACKAGE_NAME = Keepalived
-PACKAGE_STRING = Keepalived 2.3.1
+PACKAGE_STRING = Keepalived 2.3.2
 PACKAGE_TARNAME = keepalived
 PACKAGE_URL = http://www.keepalived.org/
-PACKAGE_VERSION = 2.3.1
+PACKAGE_VERSION = 2.3.2
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -234,7 +234,7 @@
 SYSTEMD_EXEC_START_OPTIONS = 
 SYSTEMD_SERVICE_TYPE = forking
 USE_LLD = 
-VERSION = 2.3.1
+VERSION = 2.3.2
 abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_top_builddir = /home/acassen/src/keepalived

=== debian/changelog ===
keepalived (1:2.3.2-1) unstable; urgency=medium

  * New upstream release.
    - Fix CVE-2024-41184. Closes: #1077370.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 08:28:59 +0100

## keepalived 2.3.3

=== keepalived/etc/sysconfig/Makefile ===
--- 
+++ 
@@ -192,7 +192,7 @@
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warith-conversion -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fno-strict-aliasing -fPIE -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
+KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warith-conversion -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fno-strict-aliasing -fPIE -Wformat -Werror=format-security -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
 KA_CPPFLAGS = -D_GNU_SOURCE
 KA_LDFLAGS = -pie -Wl,-z,relro -Wl,-z,now
 KA_LIBS = -lm -lssl -lcrypto
@@ -214,10 +214,10 @@
 PACKAGE = keepalived
 PACKAGE_BUGREPORT = keepalived-users@groups.io
 PACKAGE_NAME = Keepalived
-PACKAGE_STRING = Keepalived 2.3.2
+PACKAGE_STRING = Keepalived 2.3.3
 PACKAGE_TARNAME = keepalived
 PACKAGE_URL = http://www.keepalived.org/
-PACKAGE_VERSION = 2.3.2
+PACKAGE_VERSION = 2.3.3
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -234,7 +234,7 @@
 SYSTEMD_EXEC_START_OPTIONS = 
 SYSTEMD_SERVICE_TYPE = forking
 USE_LLD = 
-VERSION = 2.3.2
+VERSION = 2.3.3
 abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_top_builddir = /home/acassen/src/keepalived
@@ -275,7 +275,7 @@
 sharedstatedir = ${prefix}/com
 srcdir = .
 sysconfdir = ${prefix}/etc
-systemdsystemunitdir = /lib/systemd/system
+systemdsystemunitdir = /usr/lib/systemd/system
 target_alias = 
 top_build_prefix = ../../../
 top_builddir = ../../..
@@ -329,3 +329,4 @@
 	fi; \
 	for p in $$list; do \
 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \

=== debian/changelog ===
keepalived (1:2.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 12 Apr 2025 10:32:42 +0200

## keepalived 2.3.4

=== keepalived/etc/sysconfig/Makefile ===
--- 
+++ 
@@ -193,9 +193,9 @@
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 KA_CFLAGS = -g -g -O2 -Wall -Wextra -Wunused -Wstrict-prototypes -Wabsolute-value -Waddress-of-packed-member -Walloca -Walloc-zero -Warith-conversion -Warray-bounds=2 -Wattribute-alias=2 -Wbad-function-cast -Wc11-c2x-compat -Wcast-align -Wcast-qual -Wdate-time -Wdisabled-optimization -Wdouble-promotion -Wduplicated-branches -Wduplicated-cond -Wfloat-conversion -Wfloat-equal -Wformat-overflow -Wformat-security -Wformat-signedness -Wformat-truncation -Wframe-larger-than=5120 -Wimplicit-fallthrough=3 -Winit-self -Winline -Winvalid-pch -Wjump-misses-init -Wlogical-op -Wmissing-declarations -Wmissing-field-initializers -Wmissing-include-dirs -Wmissing-prototypes -Wnested-externs -Wnormalized -Wnull-dereference -Wold-style-definition -Woverlength-strings -Wpointer-arith -Wredundant-decls -Wshadow -Wshift-overflow=2 -Wstack-protector -Wstrict-overflow=4 -Wstringop-overflow=2 -Wstringop-truncation -Wsuggest-attribute=cold -Wsuggest-attribute=format -Wsuggest-attribute=malloc -Wsuggest-attribute=noreturn -Wsuggest-attribute=pure -Wsync-nand -Wtrampolines -Wundef -Wuninitialized -Wunknown-pragmas -Wunsafe-loop-optimizations -Wunsuffixed-float-constants -Wunused-const-variable=2 -Wvariadic-macros -Wwrite-strings -fno-strict-aliasing -fPIE -Wformat -Werror=format-security -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -O2
-KA_CPPFLAGS = -D_GNU_SOURCE
+KA_CPPFLAGS = -D_GNU_SOURCE -I/usr/include/libnl3
 KA_LDFLAGS = -pie -Wl,-z,relro -Wl,-z,now
-KA_LIBS = -lm -lssl -lcrypto
+KA_LIBS = -lm -lssl -lcrypto -lnl-3 -lnl-genl-3
 KA_TMP_DIR = /tmp
 KEEPALIVED_CONFIG_OPTIONS = 
 KEEPALIVED_RUNTIME_OPTIONS = -D
@@ -214,10 +214,10 @@
 PACKAGE = keepalived
 PACKAGE_BUGREPORT = keepalived-users@groups.io
 PACKAGE_NAME = Keepalived
-PACKAGE_STRING = Keepalived 2.3.3
+PACKAGE_STRING = Keepalived 2.3.4
 PACKAGE_TARNAME = keepalived
 PACKAGE_URL = http://www.keepalived.org/
-PACKAGE_VERSION = 2.3.3
+PACKAGE_VERSION = 2.3.4
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -234,7 +234,7 @@
 SYSTEMD_EXEC_START_OPTIONS = 
 SYSTEMD_SERVICE_TYPE = forking
 USE_LLD = 
-VERSION = 2.3.3
+VERSION = 2.3.4
 abs_builddir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_srcdir = /home/acassen/src/keepalived/keepalived/etc/sysconfig
 abs_top_builddir = /home/acassen/src/keepalived
@@ -328,5 +328,3 @@
 	  $(MKDIR_P) "$(DESTDIR)$(sysconfigdir)" || exit 1; \
 	fi; \
 	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \

=== debian/changelog ===
keepalived (1:2.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 20 Aug 2025 21:44:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: keepalived
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Vincent Bernat <bernat@debian.org>
 Build-Depends: autoconf,
                debhelper-compat (=13),
                libglib2.0-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 		--enable-bfd \
 		--enable-regex \
 		--enable-log-file \
+	    --enable-reproducible-build \
 		--with-init=systemd

=== debian/watch ===
version=4
https://www.keepalived.org/download.html software/keepalived-(.*).tar.gz
